Package com.google.protobuf

# Class ProtobufToStringOutput

java.lang.Object
com.google.protobuf.ProtobufToStringOutput

public final class ProtobufToStringOutput extends Object
ProtobufToStringOutput controls the output format of `Message.toString()`. Specifically, for the Runnable object passed to `callWithDebugFormat` and `callWithTextFormat`, Message.toString() will always output the specified format unless ProtobufToStringOutput is used again to change the output format.

## Method Summary

Modifier and Type
Method
Description
`static void`
`callWithDebugFormat(Runnable impl)`
`static void`
`callWithTextFormat(Runnable impl)`
`static boolean`
`shouldOutputDebugFormat()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### callWithDebugFormat

public static void callWithDebugFormat(Runnable impl)

### callWithTextFormat

public static void callWithTextFormat(Runnable impl)

### shouldOutputDebugFormat

public static boolean shouldOutputDebugFormat()